PHP-инклюдинг в Mambo

Дата публикации:
16.06.2008
Дата изменения:
18.08.2008
Всего просмотров:
1282
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Mambo 4.x
Уязвимые версии: Mambo 4.6.4, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "mosConfig_absolute_path" в сценарии includes/Cache/Lite/Output.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/includes/Cache/Lite/Output.php?mosConfig_absolute_path=[file]

URL производителя: www.mambo-foundation.org

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:


10.08.2008
Изменена секция "Решение".

или введите имя

CAPTCHA